Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227046 - Review Request: classpathx-jaxp-1.0-0.beta1.10jpp - Java XML parser
Summary: Review Request: classpathx-jaxp-1.0-0.beta1.10jpp - Java XML parser
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vivek Lakshmanan
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
: 252058 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:31 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-11 14:18:24 UTC
jjohnstn: fedora-review+
fitzsim: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:31:45 UTC
Spec URL: http://people.redhat.com/rafaels/specs/classpathx-jaxp-1.0-0.beta1.10jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/classpathx-jaxp-1.0-0.beta1.10jpp.src.rpm
Description: GNU JAXP, a part of the GNU Classpath Extensions project (hosted at
savannah.gnu.org) is a free implementation of the standard XML processing
APIs for Java:
- SAX Parser API
- DOM Level 2 generic XML data structures
- Sun's JAXP v1.1 interfaces

Javadoc for classpathx-jaxp.

Additional utility scripts for classpathx-jaxp.

Comment 1 Jeff Johnston 2007-02-12 17:24:29 UTC
review below: elements with X need to be dealt with

MUST:
X specfile should be %{name}.spec
   * rename spec file to classpathx-jaxp.spec
X License should be just GPL
X correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
X rpmlint on <this package>.srpm gives no output

W: classpathx-jaxp non-standard-group Text Processing/Markup/XML
W: classpathx-jaxp invalid-license GPL with library exception
E: classpathx-jaxp unknown-key GPG#c431416d
W: classpathx-jaxp unversioned-explicit-provides jaxp_parser_impl
E: classpathx-jaxp configure-without-libdir-spec
W: classpathx-jaxp mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 76

X Vendor tag should not be used
X package successfully compiles and builds on at least x86
 - Build fails because gnu.xml.aelfred2 not found
  - gnu.xml.aelfred2 needs to be a BuildRequires
X - Summary(fr) should not be included
  - this can be in localized version
X verify the final provides and requires of the binary RPMs
  - could not build as gnu.xml.aelfred2 is not a Fedora package
X run rpmlint on the binary RPMs
  - could not do as build failed

SHOULD:
X package should build on i386
  - not yet
* package should build in mock


Comment 2 Thomas Fitzsimmons 2007-02-12 20:58:44 UTC
$ rpmlint /home/fitzsim/rpmbuild/SRPMS/classpathx-jaxp-1.0-0.1.beta1.10jpp.1.src.rpm
W: classpathx-jaxp unversioned-explicit-provides jaxp_parser_impl

OK because this is a virtual Provides in all packages that provide it.

$ rpmlint
/home/fitzsim/rpmbuild/RPMS/noarch/classpathx-jaxp-scripts-1.0-0.1.beta1.10jpp.1.noarch.rpm
W: classpathx-jaxp-scripts no-documentation

OK because this is a sub-package and the docs are in the base package.

$ rpm -qp --provides
/home/fitzsim/rpmbuild/RPMS/noarch/classpathx-jaxp-1.0-0.1.beta1.10jpp.1.noarch.rpm
gnujaxp = 1.0-0.1.beta1.10jpp.1
jaxp_parser_impl  
classpathx-jaxp = 1.0-0.1.beta1.10jpp.1

$ rpm -qp --requires
/home/fitzsim/rpmbuild/RPMS/noarch/classpathx-jaxp-1.0-0.1.beta1.10jpp.1.noarch.rpm
/bin/sh  
/bin/sh  
/usr/sbin/update-alternatives  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
xml-commons-apis

$ rpm -qp --provides
/home/fitzsim/rpmbuild/RPMS/noarch/classpathx-jaxp-javadoc-1.0-0.1.beta1.10jpp.1.noarch.rpm
gnujaxp-javadoc = 1.0-0.1.beta1.10jpp.1
classpathx-jaxp-javadoc = 1.0-0.1.beta1.10jpp.1

$ rpm -qp --requires
/home/fitzsim/rpmbuild/RPMS/noarch/classpathx-jaxp-javadoc-1.0-0.1.beta1.10jpp.1.noarch.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1

$ rpm -qp --provides
/home/fitzsim/rpmbuild/RPMS/noarch/classpathx-jaxp-scripts-1.0-0.1.beta1.10jpp.1.noarch.rpm
gnujaxp-scripts = 1.0-0.1.beta1.10jpp.1
classpathx-jaxp-scripts = 1.0-0.1.beta1.10jpp.1

$ rpm -qp --requires
/home/fitzsim/rpmbuild/RPMS/noarch/classpathx-jaxp-scripts-1.0-0.1.beta1.10jpp.1.noarch.rpm
classpathx-jaxp = 1.0-0.1.beta1.10jpp.1
jpackage-utils >= 0:1.5
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1

I fixed the other small problems you pointed out and confirmed that the package
builds on i386 and in mock.


Comment 4 Jeff Johnston 2007-02-12 22:08:56 UTC
Approved.

Comment 5 Vivek Lakshmanan 2007-03-03 03:36:52 UTC
I cant build this package. Should have been assigned to fitzsim since according
to http://cvs.fedora.redhat.com/viewcvs/owners/owners.list?root=extras&view=markup
he is the owner. Reassigning to him now. Unless owners.list is incorrect for
this package? In which case we will need to get it updated...

Comment 6 Vivek Lakshmanan 2007-03-12 21:39:25 UTC
Checked with fitzsim and he agrees ownership should be transferred to me.
Requesting change of ownership from fitzsim to vivekl.


Comment 7 Thomas Fitzsimmons 2007-03-12 21:49:19 UTC
(In reply to comment #6)
> Checked with fitzsim and he agrees ownership should be transferred to me.
> Requesting change of ownership from fitzsim to vivekl.

Yes, on the condition that this package be phased out.  Upstream classpathx-jaxp
is not maintained, and it provides functionality that is built into Rawhide
libgcj.  Packages that still require classpathx-jaxp should be patched to
require only libgcj and classpathx-jaxp should be phased out.


Comment 8 Vivek Lakshmanan 2007-08-13 23:53:27 UTC
*** Bug 252058 has been marked as a duplicate of this bug. ***

Comment 9 Peter Robinson 2008-10-11 14:18:24 UTC
Closing - was completed and in distro but now is marked as dead package in rawhide


Note You need to log in before you can comment on or make changes to this bug.